Subject: bug#56796: 29.0.50; Hard newlines not respected in code comments?

From: Visuwesh <[email-masked]>
Date: Fri, 29 Jul 2022 20:32:10 +0530

[வெள்ளி ஜூலை 29, 2022] Visuwesh wrote:

>> At the same time, I'm not sure how important it is to handle hard
>> newlines in ELisp comments, so I'm not sure how important it is to
>> fix this.  This bug report only gives a (good) recipe but not a good
>> reason for doing such a thing, so maybe some context explaining how/why
>> such hard newlines can appear in comments would help motivate a fix.

But maybe me using hard newlines to tame adaptive-fill-mode is the wrong
approach: I would like to write lists such as

    . blah blah blah
    . blah blah blah

without it getting filled to

    . blah blah blah. blah blah blah

I can't blame adaptive-fill-mode for it: it can only be ever so smart
and hard newlines seemed like the solution for "when I say newline, I
MEAN IT".